org.eclipse.microprofile.fault.tolerance.tck.visibility.retry

## Class RetryVisibilityTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.visibility.retry.RetryVisibilityTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class RetryVisibilityTest
    extends org.jboss.arquillian.testng.Arquillian

Test for annotations discovering rules in the contexts of class inheritance, method override, etc.

Author:
  Matthieu Brouillard

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`RetryVisibilityTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `baseRetryServiceUsesDefaults()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `serviceBaseROCM()`
`void` `serviceBaseROCMNoRedefinition()`
`void` `serviceBaseROCMOverridedClassLevelMethodOverride()`
`void` `serviceBaseROCMOverridedClassLevelNoMethodOverride()`
`void` `serviceBaseROCMRetryMissingOnMethod()`
`void` `serviceBaseROM()`
`void` `serviceBaseROMNoRedefinition()`
`void` `serviceBaseROMOverridedClassLevelMethodOverride()`
`void` `serviceBaseROMOverridedClassLevelNoMethodOverride()`
`void` `serviceBaseROMOverridedMethodLevel()`
`void` `serviceBaseROMRetryMissingOnMethod()`
`void` `serviceDerivedClassNoRedefinition()`
`void` `serviceOverrideClassLevelUsesClassLevelAnnotation()`
`void` `serviceOverrideClassLevelUsesClassLevelAnnotationWithMethodOverride()`
`void` `serviceOverrideMethodLevelUsesMethodLevelAnnotation()`
`void` `serviceRetryRemovedAtMethodLevel()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryVisibilityTest

    public RetryVisibilityTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### baseRetryServiceUsesDefaults

    public void baseRetryServiceUsesDefaults()

#### serviceDerivedClassNoRedefinition

    public void serviceDerivedClassNoRedefinition()

#### serviceOverrideClassLevelUsesClassLevelAnnotation

    public void serviceOverrideClassLevelUsesClassLevelAnnotation()

#### serviceOverrideClassLevelUsesClassLevelAnnotationWithMethodOverride

    public void serviceOverrideClassLevelUsesClassLevelAnnotationWithMethodOverride()

#### serviceOverrideMethodLevelUsesMethodLevelAnnotation

    public void serviceOverrideMethodLevelUsesMethodLevelAnnotation()

#### serviceRetryRemovedAtMethodLevel

    public void serviceRetryRemovedAtMethodLevel()

#### serviceBaseROM

    public void serviceBaseROM()

#### serviceBaseROMRetryMissingOnMethod

    public void serviceBaseROMRetryMissingOnMethod()

#### serviceBaseROMOverridedClassLevelNoMethodOverride

    public void serviceBaseROMOverridedClassLevelNoMethodOverride()

#### serviceBaseROMOverridedClassLevelMethodOverride

    public void serviceBaseROMOverridedClassLevelMethodOverride()

#### serviceBaseROMOverridedMethodLevel

    public void serviceBaseROMOverridedMethodLevel()

#### serviceBaseROMNoRedefinition

    public void serviceBaseROMNoRedefinition()

#### serviceBaseROCM

    public void serviceBaseROCM()

#### serviceBaseROCMNoRedefinition

    public void serviceBaseROCMNoRedefinition()

#### serviceBaseROCMOverridedClassLevelNoMethodOverride

    public void serviceBaseROCMOverridedClassLevelNoMethodOverride()

#### serviceBaseROCMOverridedClassLevelMethodOverride

    public void serviceBaseROCMOverridedClassLevelMethodOverride()

#### serviceBaseROCMRetryMissingOnMethod

    public void serviceBaseROCMRetryMissingOnMethod()